Package javax.mail

# Class IllegalWriteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.mail.MessagingException
javax.mail.IllegalWriteException

All Implemented Interfaces:
  `Serializable`

public class IllegalWriteException extends MessagingException
The exception thrown when a write is attempted on a read-only attribute of any Messaging object.

Author:
  John Mani
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalWriteException()`
Constructs an IllegalWriteException with no detail message.
`IllegalWriteException(String s)`
Constructs an IllegalWriteException with the specified detail message.
`IllegalWriteException(String s, Exception e)`
Constructs an IllegalWriteException with the specified detail message and embedded exception.

## Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalWriteException

public IllegalWriteException()
Constructs an IllegalWriteException with no detail message.

### IllegalWriteException

public IllegalWriteException(String s)
Constructs an IllegalWriteException with the specified detail message.

Parameters:
  `s` - The detailed error message

### IllegalWriteException

public IllegalWriteException(String s, Exception e)
Constructs an IllegalWriteException with the specified detail message and embedded exception. The exception is chained to this exception.

Parameters:
  `s` - The detailed error message
  `e` - The embedded exception
Since:
  JavaMail 1.5